Bug 990168 - (CVE-2013-4929) CVE-2013-4929 wireshark: DoS (infinite loop) in the DIS dissector (wnpa-sec-2013-47)
CVE-2013-4929 wireshark: DoS (infinite loop) in the DIS dissector (wnpa-sec-2...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130726,reported=2...
: Security
Depends On: 990189 990202 994914
Blocks: 990216
  Show dependency treegraph
 
Reported: 2013-07-30 09:56 EDT by Jan Lieskovsky
Modified: 2016-03-04 05:43 EST (History)
5 users (show)

See Also:
Fixed In Version: Wireshark 1.8.9, Wireshark 1.10.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 03:24:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-30 09:56:48 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4929 to the following vulnerability:

The parseFields function in epan/dissectors/packet-dis-pdus.c in the DIS dissector in Wireshark 1.8.x before 1.8.9 and 1.10.x before 1.10.1 does not terminate packet-data processing after finding zero remaining bytes, which allows remote attackers to cause a denial of service (loop) via a crafted packet.

References:
[1] http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-dis-pdus.c?r1=50450&r2=50449&pathrev=50450
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=50450
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.10.1.html
[4] http://www.wireshark.org/docs/relnotes/wireshark-1.8.9.html
[5] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8911
[6] https://www.wireshark.org/security/wnpa-sec-2013-47.html
Comment 1 Jan Lieskovsky 2013-07-30 10:38:28 EDT
Created wireshark tracking bugs for this issue:

Affects: fedora-18 [bug 990189]
Comment 2 Huzaifa S. Sidhpurwala 2013-08-08 03:24:34 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark, as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 4 Fedora Update System 2013-09-27 20:14:24 EDT
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-10-02 21:05:22 EDT
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-12-19 02:12:22 EST
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.